---
title: image-rendering
slug: Web/SVG/Attribute/image-rendering
tags:
  - NeedsExample
  - SVG
  - SVG Attribute
---
<div>{{SVGRef}}</div>

<p>The <strong><code>image-rendering</code></strong> attribute provides a hint to the browser about how to make speed vs. quality tradeoffs as it performs image processing.</p>

<p>The resampling is always done in a truecolor (e.g., 24-bit) color space even if the original data and/or the target device is indexed color.</p>

<p class="note"><strong>Note:</strong> As a presentation attribute, <code>image-rendering</code> can be used as a CSS property. See the {{cssxref("image-rendering", "CSS image-rendering")}} property for more information.</p>

<p>As a presentation attribute, it can be applied to any element but it has effect only on the following element: {{SVGElement("image")}}</p>

<h2 id="Usage_notes">Usage notes</h2>

<table class="properties">
 <tbody>
  <tr>
   <th scope="row">Value</th>
   <td><code>auto</code> | <code>optimizeSpeed</code> | <code>optimizeQuality</code></td>
  </tr>
  <tr>
   <th scope="row">Default value</th>
   <td><code>auto</code></td>
  </tr>
  <tr>
   <th scope="row">Animatable</th>
   <td>Yes</td>
  </tr>
 </tbody>
</table>

<dl>
 <dt><code>auto</code></dt>
 <dd>Indicates that the user agent shall make appropriate tradeoffs to balance speed and quality, but quality shall be given more importance than speed.</dd>
 <dt><code>optimizeSpeed</code></dt>
 <dd>Indicates that the user agent shall emphasize rendering speed over quality.</dd>
 <dt><code>optimizeQuality</code></dt>
 <dd>Indicates that the user agent shall emphasize quality over rendering speed.</dd>
</dl>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName("CSS3 Images", "#the-image-rendering", "image-rendering")}}</td>
   <td>{{Spec2("CSS3 Images")}}</td>
   <td>Definition in CSS</td>
  </tr>
  <tr>
   <td>{{SpecName("SVG2", "painting.html#ImageRenderingProperty", "image-rendering")}}</td>
   <td>{{Spec2("SVG2")}}</td>
   <td>No significant change, only added a reference to CSS Images 3</td>
  </tr>
  <tr>
   <td>{{SpecName("SVG1.1", "painting.html#ImageRenderingProperty", "image-rendering")}}</td>
   <td>{{Spec2("SVG1.1")}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("svg.attributes.presentation.image-rendering")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{cssxref("image-rendering", "CSS image-rendering")}}</li>
</ul>
